%define name iripdb
%define version 0.1.1
%define release  %mkrel 6

Summary: Generator of DB files necessary for the iRiver iHP-1xx series
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Patch0: iripdb-0.1.1-link.patch
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Url: http://www.marevalo.net/iRipDB/
BuildRequires: libid3lib3.8-devel
BuildRequires: libvorbis-devel
BuildRequires: libogg-devel

%description
RipDB allows generating the DB files necessary for the iRiver iHP-1xx series of
MP3/Ogg HD Player on Linux and Windows. That will allow you to navigate your
files through the artist/album/genre menus. It supports adding MP3 and Ogg
files at this point. It's released under the GNU's General Public License and,
at this moment only in source code form.

%prep
%setup -q
%patch0 -p0

%build
%make all CC="gcc %{optflags} %{ldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -m 755 -D iripdb $RPM_BUILD_ROOT%{_bindir}/iripdb

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS Changelog COPYING README doc/*
%{_bindir}/iripdb



%changelog
* Wed Dec 01 2010 Funda Wang <fwang@mandriva.org> 0.1.1-6mdv2011.0
+ Revision: 604351
- fix link
- zlib is not needed
- rebuild for new zlib

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.1.1-5mdv2010.0
+ Revision: 429565
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.1.1-4mdv2009.0
+ Revision: 247263
- rebuild

* Thu Feb 14 2008 Thierry Vignaud <tv@mandriva.org> 0.1.1-2mdv2008.1
+ Revision: 168503
- rebuild
- fix summary
- fix no-buildroot-tag

* Tue Dec 18 2007 Thierry Vignaud <tv@mandriva.org> 0.1.1-1mdv2008.1
+ Revision: 132251
- fix libid3-devel BR
- fix OGG BR
- kill re-definition of %%buildroot on Pixel's request
- use %%mkrel
- import iripdb


* Sun Dec 26 2004 Jrmie Lenfant-Engelmann <tocman@gmail.com> 0.1.1-1mdk
- first release
